# GET /api/v1/org/{orgId}/repo/{repoId}/sensitive/list

**Repository Sensitive Data**

## List Repo Sensitive Data
List sensitive data MatchWords for the given organization and repository.

**Usage:**

Results are paginated via the previous and next page keys.
To get additional pages, use the `nextPageKey` or `previousPageKey` from the response and send back in as the `page` query param.
When the `page` parameter is provided, all other query parameters are ignored.

**Additional Parameters:**

* `sortField` - the field to sort the MatchWords by. `matchTerm` `matchPattern` and `codeType`
* `sortDir` - direction to sort. `ASC` `DESC`
* `pageSize`- number of results to return.
* `pageToken` - zero-based index of the page to return.
* `categories` - comma separated list of named filters to apply.
* `query` - fuzzy filter MatchWords by matched term.

> Requires `read:repository` permission.

## Parameters

- `repoId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Repository.
- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `sortField` (in: query, string) — Resource field to sort paginated response by.
- `sortDir` (in: query, string) — Paginated results are sorted 'asc' or 'desc'.
- `page` (in: query, string) — Pagination page key.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `categories` (in: query, string[]) — A comma-delimited list of Sensitive data type categories.
- `query` (in: query, string) — A term used to filter results based on matching content in one or more fields.

## Responses

### 200 — OK

#### application/json

- `currentPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `hasNext` (boolean) — Whether or not there is a next page.
- `hasPrev` (boolean)
- `nextPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `nextPageToken` (string)
- `prevPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `prevPageToken` (string)
- `sensitiveWords` (codeWord.MatchWord[]) — List of the OAS file information
  - `category` (string)
  - `codeType` (string)
  - `count` (integer<int32>)
  - `matchName` (string)
  - `matchPercentage` (integer<int32>)
  - `matchScore` (integer<int32>)
  - `matchType` (string)
  - `name` (string)
  - `score` (integer<int32>)
- `totalCount` (integer<int64>) — PageToken to provide for the next page of results.

#### application/x-protobuf

- `currentPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `hasNext` (boolean) — Whether or not there is a next page.
- `hasPrev` (boolean)
- `nextPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `nextPageToken` (string)
- `prevPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `prevPageToken` (string)
- `sensitiveWords` (codeWord.MatchWord[]) — List of the OAS file information
  - `category` (string)
  - `codeType` (string)
  - `count` (integer<int32>)
  - `matchName` (string)
  - `matchPercentage` (integer<int32>)
  - `matchScore` (integer<int32>)
  - `matchType` (string)
  - `name` (string)
  - `score` (integer<int32>)
- `totalCount` (integer<int64>) — PageToken to provide for the next page of results.

### 401 — Unauthorized

- (no body)
